resultLoc = [cd '\Results'];

pars = 200;

% layout = '4x6';
layout = '6x4';

if strcmp(layout, '4x6')
    nrows = 4;
    ncols = 6;
    ar = 1.66*6/4;
elseif strcmp(layout, '6x4')
    nrows = 6;
    ncols = 4;
    ar = 1.66;
end

fnew = figure(15127);
%%
ht = 600;
fnew.Position = [41 73 ar*ht ht];
%%
clf
clear ax

fname1 = sprintf('%s/fig/snapShots_uniform_sigma2_0.0-1.0_k_0-%i_Sk_0-%i_%s.fig', ...
    resultLoc, pars, pars, 'sl');

f1 = openfig(fname1);
axs = get(f1, 'Children');

for j = 1:length(axs)
    ax(j) = copyobj(axs(j), fnew);
end
close(f1)

fname2 = sprintf('%s/fig/snapShots_uniform_sigma2_0.0-1.0_Rinf_0-%i_Sq_0-%i_%s.fig', ...
    resultLoc, pars, pars, 'sbh');

f2 = openfig(fname2);
axs = get(f2, 'Children');

N = length(ax);
for j = 1:length(axs)
    ax(N+j) = copyobj(axs(j), fnew);
end
close(f2)

%%
if strcmp(layout, '6x4')
    ax = ax([1 7 13 19 2 8 14 20 3 9 15 21 4 10 16 22 5 11 17 23 6 12 18 24]);
end
%

%%
if strcmp(layout, '4x6')
    y0 = 0.085;
    yp = 0.06;
    ym = 0.035;
    
    x0 = 0.06;
    xp = 0.006;
    xm = 0.015;
elseif strcmp(layout, '6x4')
    y0 = 0.085;
    yp = 0.06;
    ym = 0.035;
    
    x0 = 0.06;
    xp = 0.068;
    xm = 0.015;
end


h = (1 - y0 - (nrows-1)*yp - ym)/nrows;
w = (1 - x0 - (ncols-1)*xp - xm)/ncols;
%
for ir = 1:nrows
    for ic = 1:ncols
        ax(ncols*(ir-1)+ic).Position = [x0+(ncols-ic)*(xp+w) y0+(ir-1)*(yp+h) w h];
    end
end

%%
if strcmp(layout, '6x4')
    ax(1).YLabel.String = 'Density';
    ax(3).YLabel.String = 'Density';
end

%%
if strcmp(layout, '6x4')
    xs = 0.019;
    
    for ia = 1:4:21
        ax(ia).Position(1) = 0.8048-xs;
        ax(ia).Position(3) = 0.1803+xs;
    end
    
    for ia = 3:4:23
        ax(ia).Position(1) = 0.3083-xs;
        ax(ia).Position(3) = 0.1803+xs;
    end
    
    for ia = 2:4:22
        ax(ia).Position(3) = 0.1803+xs;
    end

    for ia = 4:4:24
        ax(ia).Position(3) = 0.1803+xs;
    end
end

%% 4x6 only
if strcmp(layout, '4x6')
    ax(24).YLabel = ax(19).YLabel;
    delete(ax(19).YLabel)
    
    ax(18).YLabel.String = 'Density';
    
    ax(12).YLabel = ax(7).YLabel;
    delete(ax(7).YLabel)
    
    ax(6).YLabel.String = 'Density';
    
    delete(ax(7).Title)
    delete(ax(8).Title)
    delete(ax(9).Title)
    delete(ax(10).Title)
    delete(ax(11).Title)
    delete(ax(12).Title)
    
    ax(24).XTick = ax(19).XTick;
    ax(24).XTickLabel = ax(19).XTickLabel;
    ax(19).XTickLabel = '';
    
    ax(18).XTick = ax(13).XTick;
    ax(18).XTickLabel = ax(13).XTickLabel;
    ax(13).XTickLabel = '';
    
    ax(12).XTick = ax(7).XTick;
    ax(12).XTickLabel = ax(7).XTickLabel;
    ax(7).XTickLabel = '';
    
    ax(6).XTick = ax(1).XTick;
    ax(6).XTickLabel = ax(1).XTickLabel;
    ax(1).XTickLabel = '';
    
    ax(24).YTick = ax(19).YTick;
    ax(24).YTickLabel = ax(19).YTickLabel;
    ax(19).YTickLabel = '';
    
    ax(12).YTick = ax(7).YTick;
    ax(12).YTickLabel = ax(7).YTickLabel;
    ax(7).YTickLabel = '';
    
    ax(19).XLabel.Position = [-452.6 0.242 -1];
    ax(13).XLabel.Position = [-10.51 0.0015 -1];
    ax(7).XLabel.Position = [-452.6 0.242 -1];
    ax(1).XLabel.Position = [-10.51 0.0015 -1];
    
    ax(24).Title.Position(1) = 107.7287;
    ax(23).Title.Position(1) = 107.7287;
    ax(22).Title.Position(1) = 107.7287;
    ax(21).Title.Position(1) = 107.7287;
    ax(20).Title.Position(1) = 107.7287;
    ax(19).Title.Position(1) = 107.7287;
    
    ax(18).YLabel.Position(1) = -0.835;
    ax(6).YLabel.Position(1) = -0.835;
elseif strcmp(layout, '6x4')
    ax(4).Title.Position = [500.8 347.8 0];
    ax(8).Title.Position = [500.8 347.8 0];
    ax(12).Title.Position = [500.8 347.8 0];
    ax(16).Title.Position = [500.8 347.8 0];
    ax(20).Title.Position = [500.8 347.8 0];
    ax(24).Title.Position = [500.8 347.8 0];
    
    ax(4).Title.FontWeight = 'normal';
    ax(8).Title.FontWeight = 'normal';
    ax(12).Title.FontWeight = 'normal';
    ax(16).Title.FontWeight = 'normal';
    ax(20).Title.FontWeight = 'normal';
    ax(24).Title.FontWeight = 'normal';
    
    delete(ax(2).Title)
    delete(ax(6).Title)
    delete(ax(10).Title)
    delete(ax(14).Title)
    delete(ax(18).Title)
    delete(ax(22).Title)
end

%%
for i = 1:length(ax)
    ch = findobj(ax(i).Children, 'Type', 'Line');
    for j = 1:length(ch)
        if strcmp(ch(j).LineStyle, ':') && strcmp(ch(j).Marker, 'none')
            ch(j).YData = ax(i).YLim;
        end
    end
end

%%
if strcmp(layout, '6x4')
    ht1 = text(0,0,'Saila-Lorda');
    ht1.FontSize = 16;
    ht1.Position = [173 404 0];
    
    ht2 = text(0,0,'Sigmoidal Beverton-Holt');
    ht2.FontSize = 16;
    ht2.Position = [645 404 0];
end

%%
ax(4).YLabel.String = 'Recruits (\times10^6)';
ax(4).YLabel.Position = [-11.44 1515 -1];

ax(4).XLabel.String = 'Spawning stock biomass (\times10^3t)';
ax(4).XLabel.Position = [107.7 -135.7 -1];

ax(3).YLabel.Position = [-0.147 9.1 -1];

ax(2).YLabel.String = '';
ax(1).YLabel.String = '';

%%
print(fnew, sprintf('%s/%s/FigS2.%s', resultLoc, 'png', 'png'), '-dpng', '-r600')
hgsave(fnew, sprintf('%s/%s/FigS2.%s', resultLoc, 'fig', 'fig'))