close all
clear
clc
%%
resultLoc = [cd '/Results'];

ub = 200;

f1 = openfig(sprintf('%s/fig/R_S0_final_uniform_sigma2_0.0-1.0_k_0-%i_Sk_0-%i_sl.fig', resultLoc, ub, ub));
f2 = openfig(sprintf('%s/fig/R_S0_final_uniform_sigma2_0.0-1.0_Rinf_0-%i_Sq_0-%i_sbh.fig', resultLoc, ub, ub));
f3 = openfig(sprintf('%s/fig/RpS_S0_final_uniform_sigma2_0.0-1.0_k_0-%i_Sk_0-%i_sl.fig', resultLoc, ub, ub));
f4 = openfig(sprintf('%s/fig/RpS_S0_final_uniform_sigma2_0.0-1.0_Rinf_0-%i_Sq_0-%i_sbh.fig', resultLoc, ub, ub));

%%
fnew = figure;
fnew.Units = 'normalized';
fnew.Position = [0.148 0.054 0.733 0.856];

%%
ypad = 0.025;
xpad = 0.02;

%%
axs1 = copyobj(f1.Children, fnew);
close(f1)

%%
for i = 1:4
    axs1(i).Position(3:4) = 0.5*axs1(i).Position(3:4);
    axs1(i).Position(2) = axs1(i).Position(2) + axs1(i).Position(4) + ypad;
end

%%
axs1(2).XTickLabel = '';
axs1(4).XTickLabel = '';

%%
axs1(2).Children(1).Position(1:2) = [56 257];

%%
axs1(4).XLabel.String = '';

%%
ht1 = text(axs1(1), 0, 250, 'a)');
ht1.FontSize = 16;
ht1.Position = [3 240 0];

%%
axs2 = copyobj(f2.Children, fnew);
close(f2)

%%
for i = 1:4
    axs2(i).Position(3:4) = axs1(i).Position(3:4);
    axs2(i).Position(1) = axs1(i).Position(1) + axs1(i).Position(3) + xpad;
    axs2(i).Position(2) = axs1(i).Position(2);
end

%%
axs2(4).YLabel.String = '';

%%
axs2(2).XTickLabel = '';
axs2(4).XTickLabel = '';
axs2(2).YTickLabel = '';
axs2(4).YTickLabel = '';

%%
axs2(2).Children(1).Position(1:2) = [77 257];

%%
axs2(4).XLabel.String = '';

%%
ht2 = text(axs2(1), 0, 250, 'b)');
ht2.FontSize = 16;

%%
ht2.Position = [3 240 0];

%%
axs3 = copyobj(f3.Children, fnew);
close(f3)

%%
for i = 1:4
    axs3(i).Position(3:4) = axs1(i).Position(3:4);
    axs3(i).Position(1) = axs1(i).Position(1);
    axs3(i).Position(2) = axs1(i).Position(2) - axs1(i).Position(4) - ypad;
end

%%
delete(axs3(1).Children(1))
delete(axs3(2).Children)


%%
axs3(4).XLabel.Position(1) = 220;

%%
ht3 = text(axs3(1), 0, 1.4, 'c)');
ht3.FontSize = 16;
ht3.Position = [3 1.34 0];

%%
axs4 = copyobj(f4.Children, fnew);
close(f4)

%%
for i = 1:4
    axs4(i).Position(3:4) = axs1(i).Position(3:4);
    axs4(i).Position(1) = axs1(i).Position(1) + axs1(1).Position(3) + xpad;
    axs4(i).Position(2) = axs1(i).Position(2) - axs1(i).Position(4) - ypad;
end

%%
axs4(4).YLabel.String = '';

%%
delete(axs4(1).Children(1))
delete(axs4(2).Children)

%%
axs4(2).YTickLabel = '';
axs4(4).YTickLabel = '';

%%
axs4(4).XLabel.String = '';

%%
ht4 = text(axs4(1), 0, 1.4, 'd)');
ht4.FontSize = 16;
ht4.Position = [3 1.34 0];

%%
axs1(2).Children(1).Position(1) = 52;
axs1(1).Children(2).Position(1) = 4;

axs2(2).Children(1).Position(1) = 48;
axs2(1).Children(2).Position(1) = 3;

%%
axs1(4).YLabel.String = 'Recruits (\times10^6)';
axs3(4).YLabel.String = 'Recruits-per-spawner (\times10^3/t)';
axs3(4).XLabel.String = 'Spawning stock biomass (\times10^3t)';

%%
print(fnew, sprintf('%s/%s/FigS3.%s', resultLoc, 'png', 'png'), '-dpng', '-r600')
hgsave(fnew, sprintf('%s/%s/FigS3.%s', resultLoc, 'fig', 'fig'))