clear
close all
clc

%%
Years = [1959 1965 1971 1974 1977 2008];
Inds = Years-1958+1;

models = {'sl', 'sbh'};
par = 400;
parNames = {'k', 'S'; 'R', 'S'};
sigmas = 1.0;
isig = 1;

%%
load SR_modeloutput_3Pscod_revised.mat
T = [Data(1, 1)-1 Data(:, 1)'];

%%
lstys = {'-'};

%%
f = figure(15136);
ar = 1.5;
h = 350;
f.Position = [41 73 ar*h h];
clf

%%
load Results\mat\uniform_sigma2_0.0-1.0_k_0-400_Sk_0-400_sl.mat
pDEP(1, 1, :) = fliplr([Results(:, 3).pDEP]);

load Results\mat\uniform_sigma2_0.0-1.0_Rinf_0-400_Sq_0-400_sbh.mat
pDEP(1, 2, :) = fliplr([Results(:, 4).pDEP]);

%%
ax = axes;
ax.NextPlot = 'add';

%%
load Results\mat\WAIC_main.mat
load SR_modeloutput_3Pscod_revised.mat
Year = Data(:, 1);

colors = [0.0000 0.4470 0.7410 ;
          0.8500 0.3250 0.0980 ;
          0.4940 0.1840 0.5560 ;
          0.9290 0.6940 0.1250 ;
          0.4660 0.6740 0.1880];
      
nm = 5;

total = zeros(nm, size(WAIC, 3));
for im = 1:nm
    total(im, :) = squeeze(WAIC(im, isig, :));
end
total = total([3 4 1 2 5], :);

XData = fliplr(Year);
XData = [XData(1)-1 ; XData];
YDATA = flipud(total')-fliplr(mean(total))';
YDATA = [NaN*ones(2, nm) ; YDATA];
for i = 1:nm
    h(i) = plot(ax, XData, YDATA(:, i), 'LineWidth', 2, 'Color', colors(i, :));
    hold on
end

for i = 1:nm
    h2(i) = plot(ax, XData(Inds), YDATA(Inds, i), 'LineWidth', 2, ...
        'Color', colors(i, :), 'LineStyle', 'none', 'Marker', '.', ...
        'MarkerSize', 20);
    hold on
end

box off
ax.TickDir = 'out';
ax.FontSize = 14;

%%
ax.YLim = [-17 13];

%%
l = legend('SL', 'SBH', 'RI', 'BH', 'Linear');

l.FontSize = 14;
l.Location = 'southwest';
l.Box = 'off';

%%
l.NumColumns = 2;

%%
xlabel('Year')
ylabel('Score')

set(ax, 'XMinorTick', 'on')
set(ax, 'XTick', 1960:5:2020)
set(ax.XAxis, 'MinorTickValue', T)
ax.XAxis.TickLabelRotation = 90;
ax.XLim = T([3 end]);

%%
y0 = 0.23;
ym = 0.01;
h = 1 - y0 - ym;

x0 = 0.08;
xm = 0.01;
w = 1 - x0 - xm;

ax.Position = [x0 y0 w h];

%%
print(sprintf('%s/%s/FigS5.%s', 'Results', 'png', 'png'), '-dpng', '-r600')
hgsave(sprintf('%s/%s/FigS5.%s', 'Results', 'fig', 'fig'))