function out = calculateWaic(log_lik, iter, T)

lpd = log(mean(exp(log_lik)));
p_waic = var(log_lik);
elpd_waic = lpd - p_waic;
waic = -2*elpd_waic;
loo_weights_raw = 1./exp(log_lik-max(max(log_lik)));
loo_weights_normalized = loo_weights_raw./repmat(mean(loo_weights_raw), iter, 1);
loo_weights_regularized = min(loo_weights_normalized,sqrt(iter));
elpd_loo = log(mean(exp(log_lik).*loo_weights_regularized)./mean(loo_weights_regularized));
p_loo = lpd - elpd_loo;
pointwise = [waic(:) lpd(:) p_waic(:) elpd_waic(:) p_loo(:) elpd_loo(:)];
total = sum(pointwise, 1);
se = sqrt(T*var(pointwise,0,1));

out.total = total;
out.se = se;
out.names = {'waic','lpd','p_waic','elpd_waic','p_loo','elpd_loo'};
