function fixFigureLayout(ax, nrows, ncols, XTick, YTick)

ax = flipud(ax);

set(ax([1:3 5:end]), 'XTickLabel', '')
set(ax([1:3 5:end]), 'YTickLabel', '')
if ~isempty(XTick)
    set(ax, 'XTick', XTick)
end
if ~isempty(YTick)
    set(ax, 'YTick', YTick)
end
set(ax, 'TickDir', 'out')

y0 = 0.02;
yp = 0.022;
ym = 0.02;
h = (1 - y0 - (nrows-1)*yp - ym)/nrows;

x0 = 0.015;
xp = 0.007;
xm = 0.01;
w = (1 - x0 - (ncols-1)*xp - xm)/ncols;

for ic = 1:4
    ax(4-ic+1).Position = [x0+(ic-1)*(xp+w) y0+0*(yp+h) w h];
end

for ir = 1:(nrows-1)
    for ic = 1:ncols
        ax(ncols*(ir-1)+4+ic).Position = [x0+(ncols-ic)*(xp+w) y0+(ir-1+1)*(yp+h) w h];
    end
end

ax(4).XTickLabelRotation = 0;