%%
sigmaUps = sqrt(1);
parUp = 400;
RSmodels = {'r', 'bh', 'sl', 'sbh'};
prior = 'uniform_sigma2';

%% RESULTS LOCATION
resultLoc = [cd '/Results'];

%%
WAIC = zeros(length(RSmodels), length(sigmaUps), 58);
for isig = 1:length(sigmaUps)
    kLow = 0; kUp = parUp;
    SkLow = 0; SkUp = parUp;
    sigmaLow = 0; sigmaUp = sigmaUps(isig);
    RinfLow = 0; RinfUp = parUp;
    SqLow = 0; SqUp = parUp;

    for irs = 1:length(RSmodels)
        switch irs
            case 1
                ParamLims = {[kLow kUp], [SkLow SkUp]};
                Paramnames = {'k', 'Sk'};
            case 2
                ParamLims = {[RinfLow RinfUp], [SqLow SqUp]};
                Paramnames = {'Rinf', 'Sq'};
            case 3
                ParamLims = {[kLow kUp], [SkLow SkUp]};
                Paramnames = {'k', 'Sk', 'c'};
            case 4
                ParamLims = {[RinfLow RinfUp], [SqLow SqUp]};
                Paramnames = {'Rinf', 'Sq', 'c'};
        end
        fname = sprintf('%s/mat/%s_%.1f-%.1f_%s_%i-%i_%s_%i-%i_%s.mat', ...
            resultLoc, ...
            prior, sigmaLow, sigmaUp, ...
            Paramnames{1}, ParamLims{1}(1), ParamLims{1}(2), ...
            Paramnames{2}, ParamLims{2}(1), ParamLims{2}(2), ...
            RSmodels{irs});
            
        load(fname)
        
        tmp = [Results(:,irs).waic];
        for iy = 1:size(WAIC, 3)
            WAIC(irs, isig, iy) = tmp(iy).total(4);
        end
    end
end

%% Linear model
fname = sprintf('%s/mat/%s_%.1f-%.1f_%s_%i-%i_%s.mat', ...
    resultLoc, ...
    prior, 0, 1, ...
    'alpha', 0, 4, ...
    'linear');

load(fname)

tmp = [Results(:,1).waic];
for iy = 1:size(WAIC, 3)
    WAIC(5, isig, iy) = tmp(iy).total(4);
end

save(sprintf('%s/%s/WAIC_main.mat', resultLoc, 'mat'), 'WAIC')
