resultLoc = [cd '\Results'];

Years = [1959 1965 1971 1974 1977 2008];
Inds = Years-1958+1;

nrows = length(Years);
ncols = 2;

model = 'sbh';

pars = 400;

sigma = sqrt(1);

vars = {'R', 'c'};

fnew = figure(15136);
%%
ar = 0.83;
ht = 600;
fnew.Position = [41 73 ar*ht ht];
%%
clf
clear ax

fname = cell(1,4);
f = [];
for i = 1:length(vars)
    fname{i} = sprintf('%s/fig/%s_uniform_sigma2_0.0-%.1f_Rinf_0-%i_Sq_0-%i_%s.fig', ...
        resultLoc, vars{i}, sigma, pars, pars, model);

    f(i) = openfig(fname{i});
    axs = findobj(get(f(i), 'Children'), 'Type', 'Axes');
    
    for j = 1:length(Inds)
        ax(i,j) = copyobj(axs(Inds(j)), fnew);
    end
    close(f(i))
end
%%
ax = rot90(ax, 2);

%%
for j = 1:nrows
    for i = 1:ncols-1
        ax(i,j).Title.String = '';
        set(get(ax(i,j), 'Children'), 'LineWidth', 1)
    end
    
    ax(2,j).Title.Position = [220 340 0];
end

%%
% ax(2,1).XLabel.String = 'SSB';
ax(2,1).XLabel.String = 'Spawning stock biomass';
% ax(1,1).XLabel.String = 'c';
ax(1,1).XLabel.String = 'Depensation parameter';
%%
ax(2,1).YLabel.String = 'Recruits';

%%
ax(2,1).XTick = 0:50:250;
ax(2,1).XTickLabel = arrayfun(@num2str, ax(2,1).XTick, 'UniformOutput', false);

ax(2,1).YTick = 0:100:300;
ax(2,1).YTickLabel = arrayfun(@num2str, ax(2,1).YTick, 'UniformOutput', false);

ax(1,1).XTick = 0:1:5;
ax(1,1).XTickLabel = arrayfun(@num2str, ax(1,1).XTick, 'UniformOutput', false);

%%
y0 = 0.085;
yp = 0.04;
ym = 0.035;
h = (1 - y0 - (nrows-1)*yp - ym)/nrows;
    
x0 = 0.12;
xp = 0.02;
xm = 0.015;
w = (1 - x0 - (ncols-1)*xp - xm)/ncols;
%
for ir = 1:nrows
    for ic = 1:ncols
        ax(ncols*(ir-1)+ic).Position = [x0+(ncols-ic)*(xp+w) y0+(ir-1)*(yp+h) w h];
    end
end
%%
for i = 1:6
    ax(2,i).Children(2).LineStyle = ':';
    ax(2,i).Children(2).LineWidth = 1;
    ax(2,i).Children(2).Marker = '.';
    ax(2,i).Children(2).MarkerSize = 16;
end

%%
ax(1,1).Children(1).Units = 'normalized';
e0 = ax(1,1).Children(1).Extent;
E0 = e0(1)+e0(3);
for i = 1:6
    ax(1,i).Children(2).Units = 'normalized';
    ax(1,i).Children(2).Position = [0.013 0.14 0];
    ax(1,i).Children(2).FontSize = 12;    

    ax(1,i).Children(1).Units = 'normalized';
    ei = ax(1,i).Children(1).Extent;
    E1 = ei(1)+ei(3);
    ax(1,i).Children(1).Position = [0.76+E0-E1 0.14 0];
    ax(1,i).Children(1).FontSize = 12;
    
    ax(1,i).FontSize = 12;
    ax(2,i).FontSize = 12;
end
%%
for i = 1:6
    ax(1,i).Children(3).LineStyle = ':';
end

%%
for i = 1:6
    ax(2,i).Title.FontSize = 12;
    ax(2,i).Title.Position(2) = 325;
end
%%
print(fnew, sprintf('%s/png/%s_uniform_sigma2_0.0-%.1f_Rinf_0-%i_Sq_0-%i_%s.%s', ...
        resultLoc, 'snapShots', sigma, pars, pars, model, 'png'), '-dpng', '-r150')
hgsave(fnew, sprintf('%s/fig/%s_uniform_sigma2_0.0-%.1f_Rinf_0-%i_Sq_0-%i_%s.%s', ...
        resultLoc, 'snapShots', sigma, pars, pars, model, 'fig'))